POST /organizations

POST /organizations

Register a new organization.

Register a new organization with DitchCarbon. If you've already registered this organization, DitchCarbon will not register it again. Once registered, you can request updated information on the organization using GET /organizations/{id} This endpoint also returns the latest carbon data on the organization.

Code Examples

API Key:
Language:

API Explorer

POST https://api.ditchcarbon.com/organizations

Authentication

No parameters for this endpoint
Send a request to see the response

Request Body

Content type: application/json

Responses

200 Organization data

Content type: application/json

Schema: Organization

Response Fields

Field Type Description
idnumberUnique DitchCarbon identifier for an organization
namestringName of the organization
hq_regionstringISO 3166 two-letter country code for the country in which a business's registered headquarters are located.
hq_subregionstringISO 3166-2 two-letter code of the organization's headquarters subregion (for example, Ohio would be OH).
industryIndustry
websitestringThe organization's website or email address. e.g. https://example.com or user@example.com
external_idstringExternal id provided by a customer or a 3rd party provider such as DUNS or ISIN
statusstringAll statuses except synced and errored mean the research is still in progress. synced means the research is complete. errored means there was an error during the research.
organization_relationship_typestringThe type of relationship this organization has (e.g., "ultimate parent", "subsidiary")
has_relevant_upstreambooleanWhether the organization has disclosed relevant upstream categories in any year
matching_organizationobject
performancesarray
sourcesarrayAn array of sources that DitchCarbon used to create the response.
scorenumberDitchCarbon assessed score from 0 to 1, 0 being the worst and 1 being the best. See calculation methodology at https://ditchcarbon.com/calculation-methodologies/
industry_score_percentilenumberDitchCarbon assessed percentile of the organization's industry score. A value of 80 means the organization is in the 80th percentile.
industry_confidencestringDitchCarbon confidence rating. Values can be: low, medium or high
industry_rankstringDitchCarbon assessed rank of the organization's industry's intensity. Values can be: very_high, high, medium, low, very_low, unknown
region_rankstringDitchCarbon assessed rank of the organization's region. Values can be: very_high, high, medium, low, very_low, unknown
related_environmental_report_statusstringValues can be: processing, found, not_found
cdpobject
sbtiobject
unobject
ecovadisobject
climate_pledgeobject
document_reduction_targetsarrayReduction targets automatically extracted from the organization's public documents.
sbti_reduction_targetsarrayReduction targets declared to and validated by the Science Based Targets initiative (SBTi).

Example Response

{
  "id": 123,
  "name": "string",
  "hq_region": "string",
  "hq_subregion": "string",
  "industry": {
    "id": "string",
    "name": "string",
    "mean_score": 123,
    "performances": [
      "..."
    ]
  },
  "website": "string",
  "external_id": "string",
  "status": "created",
  "organization_relationship_type": "string",
  "has_relevant_upstream": true,
  "matching_organization": {
    "id": 123,
    "link": "string",
    "name": "string",
    "names": [
      {
        "value": "..."
      }
    ],
    "websites": [
      {
        "value": "..."
      }
    ],
    "hq_region": "string",
    "hq_subregion": "string",
    "industry": {
      "id": 123,
      "name": "string"
    },
    "tickers": [
      {
        "exchange": "...",
        "symbol": "..."
      }
    ],
    "status": "created"
  },
  "performances": [
    {
      "year": "...",
      "region": "...",
      "emission_factor": "...",
      "total_upstream_emission_factor": "...",
      "scope_1_and_2_emission_factor": "...",
      "revenue_currency": "...",
      "has_revenue": "...",
      "revenue": "...",
      "emissions": "...",
      "production_emission_factors": "...",
      "documents": "..."
    }
  ],
  "sources": [
    {
      "url": "string",
      "mirror_url": "string"
    }
  ],
  "score": 123,
  "industry_score_percentile": 123,
  "industry_confidence": "low",
  "industry_rank": "very_high",
  "region_rank": "very_high",
  "related_environmental_report_status": "processing",
  "cdp": {
    "last_retrieved_at": "2026-05-21",
    "is_listed": true,
    "url": "string",
    "inherited": true,
    "inherited_from": {
      "organization_relationship_type": "string",
      "legal_name": "string"
    }
  },
  "sbti": {
    "last_retrieved_at": "2026-05-21",
    "inherited": true,
    "inherited_from": {
      "organization_relationship_type": "string",
      "legal_name": "string"
    },
    "data": [
      {
        "created_at": "...",
        "retrieved_at": "...",
        "near_term": "...",
        "long_term": "...",
        "net_zero": "...",
        "business_ambition_1_5": "...",
        "target_detail": "..."
      }
    ]
  },
  "un": {
    "last_retrieved_at": "2026-05-21",
    "url": "string",
    "initiatives": [
      {
        "name": "...",
        "slug": "..."
      }
    ]
  },
  "ecovadis": {
    "last_retrieved_at": "2026-05-21",
    "has_rating": true,
    "score": 123,
    "medal": "string",
    "url": "string",
    "inherited": true,
    "inherited_from": {
      "organization_relationship_type": "string",
      "legal_name": "string"
    },
    "performances": [
      {
        "id": "...",
        "year": "...",
        "medal": "...",
        "text": "...",
        "url": "...",
        "document_id": "...",
        "mirror_url": "..."
      }
    ]
  },
  "climate_pledge": {
    "signed": true,
    "signed_at": "2026-05-21",
    "link": "string"
  },
  "document_reduction_targets": [
    {
      "id": "...",
      "classification": "...",
      "timeframe": "...",
      "scope": "...",
      "start_year": "...",
      "end_year": "...",
      "overall_reduction_percentage": "...",
      "text": "...",
      "source_url": "...",
      "permanent_mirror_url": "...",
      "page": "...",
      "on_track_two_year": "...",
      "on_track_five_year": "..."
    }
  ],
  "sbti_reduction_targets": [
    {
      "id": "...",
      "classification": "...",
      "timeframe": "...",
      "scope": "...",
      "start_year": "...",
      "end_year": "...",
      "overall_reduction_percentage": "...",
      "text": "...",
      "source_url": "...",
      "permanent_mirror_url": "...",
      "page": "...",
      "on_track_two_year": "...",
      "on_track_five_year": "..."
    }
  ]
}

400 Bad request

Content type: application/json

Response Fields

Field Type Description
status integer
title string
detail string

Example Response

{
  "status": 123,
  "title": "string",
  "detail": "string"
}

401 Unauthorized

Content type: application/json

Response Fields

Field Type Description
status integer
title string
detail string

Example Response

{
  "status": 123,
  "title": "string",
  "detail": "string"
}

404 Organization Not found

Content type: application/json

Response Fields

Field Type Description
status integer
detail string

Example Response

{
  "status": 123,
  "detail": "string"
}

422 Unrecognized Parameters

Content type: application/json

Response Fields

Field Type Description
status integer
title string
detail string

Example Response

{
  "status": 123,
  "title": "string",
  "detail": "string"
}

429 Too many organizations

Content type: application/json

Response Fields

Field Type Description
status integer
title string
detail string

Example Response

{
  "status": 123,
  "title": "string",
  "detail": "string"
}

500 Server Error

Content type: application/json

Response Fields

Field Type Description
status integer
title string
detail string

Example Response

{
  "status": 123,
  "title": "string",
  "detail": "string"
}
POST /organizations